# gsa

## Game Skunk Advance
Game development library modelled after an imaginary console

[Changelog](https://git.danitheskunk.com/DaniTheSkunk/gsa/src/branch/master/CHANGLOG.md)

### Specs
- Resolution: 304x176 (19x11 tiles)
- Colors: 256 (indexed out of a possible 24-bit)
- Tilesize: 16x16 (or 8x8 for half-tiles)
- Tileset: 65536 tiles, indexed via 0xYYXX
  - rectangle(not id range) of 0x7000 to 0x7F7F semi-reserved
- Sprites: 256 of size 16x16 (pondering allowing larger sprites)
- Backgrounds: 4 of size 1024x1024, scrollable

### Getting started
`cargo install gsa`

`gsa new my_project`

`cd my_project`

`cargo run`

### Features not yet implemented
- Background effects
  - Rotation? Scaling?
  - Mosaic?
  - Mode7?
- Sprite Effects
  - Rotation? Scaling?
  - Mosaic?
- Sound (no samples)
  - Synth
  - Speech
- Savegames
- Helpers
  - Gamepad text keyboard input
  - Menus

License: 0BSD
